#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Linux
%define		pnam	Pid
Summary:	Linux::Pid - get the native PID and the PPID on Linux
Summary(pl.UTF-8):	Linux::Pid - uzyskiwanie natywnych PID i PPID pod Linuksem
Name:		perl-Linux-Pid
Version:	0.04
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Linux/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	130c4d299f827abf1f2285fddf03fccb
URL:		http://search.cpan.org/dist/Linux-Pid/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Inline-C
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux::Pid gets the native PID and the PPID on Linux. It's useful with
multithreaded programs. Linux's C library returns different values of
the PID and the PPID from different threads. This module forces Perl
to call the underlying C functions getpid() and getppid().

%description -l pl.UTF-8
Linux::Pid odczytuje natywne PID i PPID pod Linuksem. Jest przydatny w
programach wielowątkowych. Linuksowa biblioteka C zwraca różne
wartości PID i PPID dla różnych wątków. Ten moduł zmusza Perla do
wywołania funkcji C getpid() i getppid().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/%{pdir}/*.pm
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pnam}/*.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Linux-Pid.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1b6922e
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 061a262
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 3cc41db
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> b5e7641
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b3075f0
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 76a1afa
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3078748
- rel 2

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 1f88312
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 05a42c9
- up to 0.04

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> da08460
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5a867b6
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> fb75fe1
- formatting

* Sat Aug 21 2004 Adam Gołębiowski <adamg@pld-linux.org> 97184d9
- updated to 0.03

* Mon Jun 14 2004 radek <radek@pld-linux.org> 319bd7d
- release 5: it's not noarch

* Fri May 07 2004 ankry <ankry@pld-linux.org> cc92901
- rel. 4

* Thu May 06 2004 ankry <ankry@pld-linux.org> 16642ed
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 081d8bd
- cosmetics: unification

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 5912eb1
- license fixes and unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> e971144
- ported to new bconds

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 0fe02e5
- cosmetics, unification

